# zip multiple files

# https://jimhester.github.io/archive/

# installation can take some time
# devtools::install_github("jimhester/archive")

workpath_r <- "/Users/m_lauber/Dropbox/knime-workspace/examples/kn_example_r_zip_archiv/data/"
setwd(workpath_r) # Set work directory

v_path_data <- c("/Users/m_lauber/Dropbox/knime-workspace/examples/kn_example_r_zip_archiv/data/")

v_path_iris       <- paste0(v_path_data, "files_to_zip/" , "iris.csv")
v_path_mtcars     <- paste0(v_path_data, "files_to_zip/" ,"mtcars.csv")
v_path_airquality <- paste0(v_path_data, "files_to_zip/" ,"airquality.csv")

library(archive)
library(readr)

# write CSV files to an archive
write_csv(iris, v_path_iris)
write_csv(mtcars, v_path_mtcars)
write_csv(airquality, v_path_airquality)

archive_write_files(archive="data.zip", c(v_path_iris , v_path_mtcars, v_path_airquality), format = 'zip')

# zip all files from a subdirectory
v_zip_directory <- paste0(v_path_data, "files_to_zip/")
archive_write_dir(archive="r_data.zip", dir=v_zip_directory, full.names = FALSE)

# store files with full path
# archive_write_dir(archive="data_folder_full_names.zip", dir=v_zip_directory, full.names = TRUE)

library(zip)

# list content of archive
list_files <- as.data.frame(zip_list("r_data.zip"))
